package com.jasamedika.medifirst2000.service;

import com.jasamedika.medifirst2000.dto.KomponenGajiDto;
import com.jasamedika.medifirst2000.dto.SlipGajiDto;

import java.io.IOException;
import java.util.List;

/**
 * @author salmanoe
 * @since Jan 20, 2023
 */
public interface SlipGajiService {
	void init();

	void save(SlipGajiDto dto);

	void save(List<SlipGajiDto> dtoList);

	void updateDetail(SlipGajiDto dto);

	SlipGajiDto get(Integer pegawaiId, Long bulan);

	String writeExcel(Long bulan) throws IOException;

	List<KomponenGajiDto> listKomponen();
}
